#ifndef FILE_EDITOR_H
#define FILE_EDITOR_H

#include <QDialog>
#include "file-editor-tab.h"

QT_BEGIN_NAMESPACE
class QDialogButtonBox;
class QFileInfo;
class QTabWidget;
QT_END_NAMESPACE

class file_editor : public QDialog
{
    Q_OBJECT

public:
    explicit file_editor (QWidget *parent = nullptr);
    ~file_editor (void);

signals:
    void fetab_set_focus (const QWidget *ID);

private:
    QTabWidget *m_tab_widget;
    QString tab1_txt = QString ("Now TAB-1 should have a cursor and should respond to keyboard input.\n");
    QString tab2_txt = QString ("TAB-2 has focus. Close TAB-2.\n");

private slots:
    void handle_tab_close_request (int);
    void active_tab_changed (int);
};

#endif
